com.holonplatform.vaadin.flow.components.builders

## Interface DateTimeInputBuilder

- All Superinterfaces:
    BaseTemporalInputConfigurator<Date,DateTimeInputBuilder>, ComponentConfigurator<DateTimeInputBuilder>, DateTimeInputConfigurator<DateTimeInputBuilder>, DeferrableLocalizationConfigurator<DateTimeInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,DateTimeInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<DateTimeInputBuilder>, HasEnabledConfigurator<DateTimeInputBuilder>, HasLabelConfigurator<DateTimeInputBuilder>, HasPlaceholderConfigurator<DateTimeInputBuilder>, HasSizeConfigurator<DateTimeInputBuilder>, HasStyleConfigurator<DateTimeInputBuilder>, HasTimeInputConfigurator<DateTimeInputBuilder>, InputBuilder<Date,ValueHolder.ValueChangeEvent<Date>,Input<Date>,ValidatableInput<Date>,DateTimeInputBuilder,ValidatableDateTimeInputBuilder>, InputConfigurator<Date,ValueHolder.ValueChangeEvent<Date>,DateTimeInputBuilder>, InputValueConfigurator<Date,ValueHolder.ValueChangeEvent<Date>,DateTimeInputBuilder>

      public interface DateTimeInputBuilder
      extends DateTimeInputConfigurator<DateTimeInputBuilder>, InputBuilder<Date,ValueHolder.ValueChangeEvent<Date>,Input<Date>,ValidatableInput<Date>,DateTimeInputBuilder,ValidatableDateTimeInputBuilder>

  `Date` with time type `Input` components builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseTemporalInputConfigurator

      `BaseTemporalInputConfigurator.CalendarLocalization, BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C extends BaseTemporalInputConfigurator<D,C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DateTimeInputBuilder` | `create()` Create a new `DateTimeInputBuilder`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DateTimeInputConfigurator

      `timeZone`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseTemporalInputConfigurator

      `initialPosition, locale, localization, localization, max, min, updateLocaleOnAttach, weekNumbersVisible`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTimeInputConfigurator

      `spacing, timeInputWidth, timeStep`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

- - ### Method Detail

    - #### create

          static DateTimeInputBuilder create()

      Create a new `DateTimeInputBuilder`.
      Returns:
        A new `DateTimeInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.